Package org.springframework.security.web.server

# Interface SecurityWebFilterChain

All Known Implementing Classes:
  `MatcherSecurityWebFilterChain`

public interface SecurityWebFilterChain
Defines a filter chain which is capable of being matched against a `ServerWebExchange` in order to decide whether it applies to that request.

Since:
  5.0

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Flux<org.springframework.web.server.WebFilter>`
`getWebFilters()`
The `WebFilter` to use
`reactor.core.publisher.Mono<Boolean>`
`matches(org.springframework.web.server.ServerWebExchange exchange)`
Determines if this `SecurityWebFilterChain` matches the provided `ServerWebExchange`

## Method Details

### matches

reactor.core.publisher.Mono<Boolean> matches(org.springframework.web.server.ServerWebExchange exchange)
Determines if this `SecurityWebFilterChain` matches the provided `ServerWebExchange`

Parameters:
  `exchange` - the `ServerWebExchange`
Returns:
  true if it matches, else false

### getWebFilters

reactor.core.publisher.Flux<org.springframework.web.server.WebFilter> getWebFilters()
The `WebFilter` to use

Returns: